Bug 827720 - [abrt] gedit-3.4.1-2.fc17: g_type_check_instance_is_a: Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
[abrt] gedit-3.4.1-2.fc17: g_type_check_instance_is_a: Process /usr/bin/gedit...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:a123415bc2dbd93802d32027221...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-02 12:21 EDT by yui.hanekawa
Modified: 2013-08-01 06:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:10:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (38.81 KB, text/plain)
2012-06-02 12:21 EDT, yui.hanekawa
no flags Details
File: maps (44.97 KB, text/plain)
2012-06-02 12:21 EDT, yui.hanekawa
no flags Details
File: dso_list (10.08 KB, text/plain)
2012-06-02 12:21 EDT, yui.hanekawa
no flags Details

  None (edit)
Description yui.hanekawa 2012-06-02 12:21:11 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gedit /var/spool/abrt/ccpp-2012-06-03-00:10:28-12116/maps
comment:        Searching for keyword. (Ctrl+F, type the keyword, and pressed return (enter) key)
crash_function: g_type_check_instance_is_a
executable:     /usr/bin/gedit
kernel:         3.3.7-1.fc17.x86_64
pid:            12164
pwd:            /home/yui
time:           Sun 03 Jun 2012 12:10:56 AM CST
uid:            1000
username:       yui
xsession_errors: 

backtrace:      Text file, 39739 bytes
dso_list:       Text file, 10322 bytes
maps:           Text file, 46049 bytes

build_ids:
:4a1395e12d6961bfb6890120e8c21e727ff8f129
:9d49f2f604fdc7a787f63c16cc08353956f2fd41
:4c9c864a7c7b7ed702088955821d58137803462d
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:81b3fb6be6f4b0769c050cb69a1e587bd5fd4c06
:7716bc5c1738194dad6ec6679d05ae3782139288
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:22307a72e41eaddaa70945cf6df1628c267ac002
:e48810bd9d6ad9358cc2aff3d0c8532485f59b90
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:8f7c190397d7c1f617e66f18f759714662b60367
:67792c148d2b8f13f6732c9367e926c26d7376c5
:63651cdc0224824a9c9324c77c3b5887378e871d
:c4ec0971b2dcee71aaf8374975474054245fea00
:e3354959e32e471066df83c93f98f33e75198697
:822e9b3523e8312240f41a25722d539bc77ed436
:6ded09a8a2934ad01a2f5158d19e143a88c92f65
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:d804f8ee47797da9213a92f00cd095ecada8d79f
:4b044fe80e4c1b69986abc4b160c303048005d4e
:5b9e2bd88a09975ecedf44c38eb10d4e4b3e62d6
:8883675a02b466547a122a9117742c5771456644
:130699b76d99d57ef46beeed9d693005f3c8917f
:b6d75088f555d197be1476cb1c580640826ae029
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:bc669d7cbf7f309a2161101170bcfb5092c78bac
:710b0d8cc36603d66327090defd37c99daa38f28
:0a688bf9160e6e3a2a8f41967f3c75094bca08a7
:bd0ac043ae8788e4131de24fa2becebf2ba97698
:777f25c76880da663aa22e82c944d4192c52c9c9
:1d4df97fa6024b097b634a272447243c95c26d85
:87712be648d2d43ea4cd002fe7a859df636f1e13
:8d098f6bb781c1632177cd60d738076b83e0c0d3
:253afe744466fe7580bbb6040de6183dba9e2b02
:f64b7319b84d426ed547084bdb2577f4f596c18f
:42675a8ad8f70ff19362070510cdf1ba202a70db
:99c23b21038c62b0628b93610fb54c5900c40ffd
:3d60535f052babb998bae4807bc992c5d15df5c4
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:c2f5ae8bd64df0fc996cf96b95525a8f8fb28fd2
:95b138113d4b374d17ab8ea133b0da8e72a04253
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:0eeac854ab0b56d18d126ca7056136b4e63abed7
:ec87953f655fbcbcbe71b591db5451e56739576e
:46259a308a48d3d55a41d8c723d11eac90413db2
:faca16f15d87b83d2947a386e319b02f724dcbb5
:f534feded388130df4a9e789eec1e38c320bc55b
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:31243d0d107bba586a96433c76c87a26db1e826c
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:404cbecd24d186758ed474b345313da28b2990fa
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:1a0c09f270adf8398df4362ce0acfafc1f970982
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:7c35310fc506498c612d5d982ab03becc4b4817c
:6536534f472499ae9eb05ef08098d3d5a5d444da
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:f5284e0a3dce43e0400b99ef80300c1c4b9c60cd
:247132297f287226a24c12e683292f5c94013066
:8b33feb27b2125997520fdd21c90c42a65e438f1
:75752da7b5f30bdb8c3241f27d3fa22a35364fbe
:dec0de92024bee74c75c04bde4c54c097fe68ae8
:ea125d56f5cd2b1228b110d7a069104cf0399b10
:b277af36744327e3d58eae76bcdaadcca71a28c6
:e91010b497ec024178c36f4365b21f668bada0ca
:127f8958b602715234a02b88adb08afd9e34c203
:508cf66f72e70054a41215f80ed2385c6bb80030
:516204cfc31148538d56b21e2f1b945ed50127d4
:a553a7e9625a224a8f39286909adc17787ad51bd
:73777e822e00ca152ffca281ab0ace0cb498ec48
:8875c445a3903173d553f87ffbabcdef8b55386e
:234d4eb1aa690c38533ef82f517b390255d3bc4d
:4d09d82785dab5f95c01b69bc0785145a5954d30
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:6c08d8c9f6358200131cda5c9b563545d5c806ba
:54a5cc118d928470da13565de8592b664a9868e0
:5dd234206476b0387cd251598aa72a2c95c763c5
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:5bf8427ddeff24a2bd36962f68e6af6ffe14970f
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/yui/2

core_backtrace:
:31243d0d107bba586a96433c76c87a26db1e826c 0x308dc g_type_check_instance_is_a libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x215a4e gtk_text_buffer_get_iter_at_mark libgtk-3.so.0 -
:bc669d7cbf7f309a2161101170bcfb5092c78bac 0x4a89e - [exe] -
:bc669d7cbf7f309a2161101170bcfb5092c78bac 0x4afb8 - [exe] -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x206d8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x28cd0 g_signal_emit_by_name libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x10db01 - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x112f74 - libgtk-3.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x20450 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x28cd0 g_signal_emit_by_name libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x10bde3 - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x113709 - libgtk-3.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x124a7 g_cclosure_marshal_VOID__STRINGv libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf943 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x28cd0 g_signal_emit_by_name libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x124a7 g_cclosure_marshal_VOID__STRINGv libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf943 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:22307a72e41eaddaa70945cf6df1628c267ac002 0x388a - im-ibus.so -
:31243d0d107bba586a96433c76c87a26db1e826c 0x12af4 g_cclosure_marshal_VOID__OBJECTv libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf943 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:e48810bd9d6ad9358cc2aff3d0c8532485f59b90 0x1a616 - libibus-1.0.so.5 -
:7c35310fc506498c612d5d982ab03becc4b4817c 0x5e90 ffi_call_unix64 libffi.so.5 -
:7c35310fc506498c612d5d982ab03becc4b4817c 0x58a0 ffi_call libffi.so.5 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xffdb g_cclosure_marshal_generic libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x20450 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0xc5984 - libgio-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0xb5655 - libgio-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x179d65 gtk_main libgtk-3.so.0 -
:bc669d7cbf7f309a2161101170bcfb5092c78bac 0x27b6d main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=YuiBox
:ABRT_VERBOSE=0
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/yui/keyring-9qTE8H/gpg:0:1
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/yui/keyring-9qTE8H
:IMSETTINGS_MODULE=IBus
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=yui
:DESKTOP_AUTOSTART_ID=103fc14c7cf9e293af133866881319671600000009150021
:LIBREPORT_PRGNAME=abrt-applet
:SSH_AUTH_SOCK=/run/user/yui/keyring-9qTE8H/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/915,unix/unix:/tmp/.ICE-unix/915
:USERNAME=yui
:DESKTOP_SESSION=gnome
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/yui/.local/bin:/home/yui/bin
:MAIL=/var/spool/mail/yui
:QT_IM_MODULE=ibus
:PWD=/home/yui
:XMODIFIERS=@im=ibus
:LANG=en_US.utf8
:GNOME_KEYRING_PID=911
:KDE_IS_PRELINKED=1
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:SHLVL=2
:HOME=/home/yui
:XDG_SEAT=seat0
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=yui
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-QEZ3zeSJnq,guid=7a545bdf21d43a3dbbae11cd0000002a
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/yui
:XAUTHORITY=/var/run/gdm/auth-for-yui-IFSTeB/database
:_=/usr/bin/gvfs-open
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gedit.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=12164

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 128114               processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       128114               128114               signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/dev/null
:pos:	0
:flags:	0100001
:2:/home/yui/.xsession-errors
:pos:	281314
:flags:	0102002
:3:socket:[2152899]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[2152900]
:pos:	0
:flags:	02004002
:6:socket:[2193597]
:pos:	0
:flags:	02000002
:7:socket:[2191413]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:socket:[2190598]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:anon_inode:inotify
:pos:	0
:flags:	02004000
:12:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:13:/home/yui/.local/share/gvfs-metadata/root
:pos:	0
:flags:	0100000
:14:/home/yui/.local/share/gvfs-metadata/root-9ae72583.log
:pos:	0
:flags:	0100000
:15:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

var_log_messages:
:Jun  3 00:10:28 YuiBox kernel: [13451.010941] gedit[12116]: segfault at 50 ip 000000351ca0bfa0 sp 00007fffb963bff8 error 4 in libgtk-3.so.0.400.3[351c800000+472000]
:Jun  3 00:10:28 YuiBox abrt[12125]: Saved core dump of pid 12116 (/usr/bin/gedit) to /var/spool/abrt/ccpp-2012-06-03-00:10:28-12116 (46026752 bytes)
:Jun  3 00:10:56 YuiBox kernel: [13478.603190] gedit[12164] general protection ip:351a4308dc sp:7fffa2c6a198 error:0 in libgobject-2.0.so.0.3200.3[351a400000+4b000]
:Jun  3 00:10:56 YuiBox abrt[12171]: Saved core dump of pid 12164 (/usr/bin/gedit) to /var/spool/abrt/ccpp-2012-06-03-00:10:56-12164 (45723648 bytes)
Comment 1 yui.hanekawa 2012-06-02 12:21:16 EDT
Created attachment 588679 [details]
File: backtrace
Comment 2 yui.hanekawa 2012-06-02 12:21:18 EDT
Created attachment 588680 [details]
File: maps
Comment 3 yui.hanekawa 2012-06-02 12:21:21 EDT
Created attachment 588681 [details]
File: dso_list
Comment 4 Fedora End Of Life 2013-07-03 23:06:33 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 06:11:04 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.